<template>
  <span v-if="loading || !account" :class="themeClasses" class="loading"
    ><span class="lp"></span
  ></span>
  <span v-else class="account-info" :class="themeClasses">
    <i18n path="account.hi">
      <template v-slot:level>
        <span class="account-level">{{ account.levelTitle }}</span>
      </template>
      <template v-slot:name>
        <span class="account-name">{{ account.name }}</span>
      </template>
    </i18n>
  </span>
</template>

<script>
import { mapState, mapGetters } from "vuex";

export default {
  computed: {
    ...mapState("account", ["account", "loading"]),
    ...mapGetters("theme", ["themeClasses"])
  }
};
</script>

<style lang="scss" scoped>
.account-info {
  &.succeeded {
    text-align: center;
  }

  @include media-breakpoint-up(md) {
    margin-left: 20px;
  }
}

.account-info /deep/.account-level {
  color: $color-skm-red;
}

.account-info /deep/.account-name {
  font-weight: bold;
}

.account-info.theme-vip-member /deep/.account-level {
  color: $color-skm-gold;
}

.account-info.theme-map-member /deep/.account-level {
  color: $color-secondary-black;
}

.loading .lp {
  display: inline-block;
  width: 250px;
  height: 1em;
}
</style>
